Subject: Re: About *git clone --depth=n* puzzle

From: Stefan Beller <[email-masked]>
Date: Wed, 14 Aug 2013 10:51:53 +0200

On 08/14/2013 10:20 AM, XinLingchao wrote:
> Hi Guys,
> 
> I think I have got some trouble when I use `git clone --depth=n` command. Take a real repo for example:
> 
> 
> `git clone https://github.com/douglarek/vimrc.git --depth=1`
> 
> 
> then I use `git log`:
>   
> ```  
>     commit d04ca09ecc723739123fae11ad56784eb0c9b36a
>     Author: Lingchao Xin <[email-masked]>
>     Date:   Fri Jun 7 09:39:22 2013 +0800
> 
>         Update vnudle to master branch, add wm shortcut, pylint optimization
> 
>     commit c66d827dc212f6ae8aab6b5c44631564bcbe2acd
>     Author: icocoa <[email-masked]>
>     Date:   Tue Mar 12 01:36:34 2013 -0700
> 
>         Merge pull request #1 from douglarek/master
> 
>         Add markdown, flake8, pylint plugin
> 
> ```
>     but when I clone it with `file://`:
> 
>     git clone https://github.com/douglarek/vimrc.git
>     git clone file://vimrc.git --depth=1 vimrc1
> 
>     I got this log:
> ```
>     commit d04ca09ecc723739123fae11ad56784eb0c9b36a
> Author: Lingchao Xin <[email-masked]>
> Date:   Fri Jun 7 09:39:22 2013 +0800
> 
>     Update vnudle to master branch, add wm shortcut, pylint optimization
> ```
> 
> so the two results are not same, is it a bug? or it should be so?
> 
> My os is openSUSE 12.3 and git version 1.8.3.4; and myabe it occured in git 1.8.1.4 +.
> 
> 
> Thanks and Best regards
> 
> Lingchao Xin 		 	   		  --

There was a similar discussion going on in July this year,
maybe this is an interesting read with respect to this topic
http://www.spinics.net/lists/git/msg196138.html

Stefan